<?php

ViewResponse::getInstance()->setMethodAjax();
/*****************************************/
$o_ObjectBean = new SucursalBean();

if($IdSucursal){
  if($IdSucursal   != ""){ $o_ObjectBean->setIdSucursal($IdSucursal); }

}else{
  
  if($Descripcion   !=""){ $o_ObjectBean->setDescripcion($Descripcion); }
  if($cboEstado    !=""){ $o_ObjectBean->setEstado($cboEstado); } 
}
  
  
  $o_class = new SucursalBL();
  $a_ObjectBean = $o_class->busquedaSucursal($o_ObjectBean);

/*****************************************/

$pdf=new FPDF();
$pdf->AliasNbPages();
$pdf->AddPage();

define("POS_IZQ", 5);

/*iniciop titulo*/
$pdf->SetFont('Arial','B',13);
$pdf->SetXY(POS_IZQ,10);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(250,4,'Listado de Sucursales',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('Arial','B',7);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(10,4,'Nro',0,0,'L',1);
$pdf->Cell(40,4,'Sucursal',0,0,'L',1);
$pdf->Cell(70,4,'Administrador',0,0,'L',1);
$pdf->Cell(15,4,'Estado',0,0,'L',1);
//$pdf->Cell(15,7,'Estado',0,0,'L',1);
//$pdf->Cell(20,7,'Usr.Ult.Act.',0,0,'L',1);
//$pdf->Cell(10,7,'Fec.Ult.Act.',0,0,'L',1);
/*fin de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('Arial','B',3);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  
    if($count==55){
      $pdf->AddPage();
      $pos   = 10;
      $count = -9;
    }
    
    $pdf->SetXY(POS_IZQ,$pos);
    //$pdf->SetFillColor(236,235,236);
    $pdf->Cell(10,4,($iKey+1),0,0,'L',1);
    $pdf->Cell(40,4,$o_objBean->getDescripcion(),0,0,'L',1);
    $pdf->Cell(70,4,$o_objBean->getObjectColaborador()->getNombreCompleto(),0,0,'L',1);
    $pdf->Cell(15,4,$o_objBean->getEstado(),0,0,'L',1);
//    $pdf->Cell(15,7,$o_objBean->getEstado(),0,0,'L',1);
//    $pdf->Cell(20,7,strtoupper($o_objBean->getUsuarioModificacion()),0,0,'L',1); 
//    $pdf->Cell(10,7,$o_objBean->getFechaModificacion(),0,0,'L',1);
//    
   
       
    $pos=$pos+4;
    $count++;
  
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(250,4,"No hay registros.",0,0,'L',1);
  
}

$pdf->Output();

?>